Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

fixes issues with compass

The receiving application must add compass support to its Gemfile
  • Loading branch information...
commit 1b706f93bc831851bfa80ee1cfba0b9df07ef67b 1 parent 1a95a20
Rawane ZOSSOU authored
2  Gemfile
View
@@ -3,7 +3,7 @@ source 'http://rubygems.org'
gem "jquery-rails"
gem "haml-rails"
gem "sass-rails"
-gem "compass", ">= 0.12.alpha.4"
+gem "compass-rails"
gem "coffee-rails"
gem "execjs"
gem "paper_trail"
6 Gemfile.lock
View
@@ -52,10 +52,12 @@ GEM
coffee-script-source
execjs
coffee-script-source (1.2.0)
- compass (0.12.alpha.4)
+ compass (0.12.rc.1)
chunky_png (~> 1.2)
fssm (>= 0.2.7)
sass (~> 3.1)
+ compass-rails (1.0.0.rc.3)
+ compass (~> 0.12.rc.0)
cucumber (1.1.4)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
@@ -196,7 +198,7 @@ DEPENDENCIES
bcrypt-ruby
capybara
coffee-rails
- compass (>= 0.12.alpha.4)
+ compass-rails
cucumber
cucumber-rails
database_cleaner
12 README.md
View
@@ -4,13 +4,21 @@ cargo_wiki allows you to install a wiki in a Rails 3 application.
## Installation
-Add the following line to you gem file:
+Add cargo_wiki to your Gemfile:
~~~ruby
gem 'cargo_wiki'
~~~
-The run:
+cargo_wiki uses compass, and you must add compass support in the assets group of your Gemfile:
+
+~~~ruby
+group :assets do
+ gem 'compass-rails'
+end
+~~~
+
+Then run:
~~~bash
bundle install
2  cargo_wiki.gemspec
View
@@ -20,7 +20,7 @@ Gem::Specification.new do |s|
s.add_dependency "jquery-rails"
s.add_dependency "haml-rails"
s.add_dependency "sass-rails"
- s.add_dependency "compass", ">= 0.12.alpha.4"
+ s.add_dependency "compass-rails"
s.add_dependency "coffee-rails"
s.add_dependency "execjs"
s.add_dependency "paper_trail"
2  lib/cargo_wiki/version.rb
View
@@ -1,3 +1,3 @@
module CargoWiki
- VERSION = "1.0.0"
+ VERSION = "1.0.1"
end
Please sign in to comment.
Something went wrong with that request. Please try again.